All users were logged out of Bugzilla on October 13th, 2018

Mozilla platform does not use Mac OS X 10.3 and later tabs in Preferences dialog

RESOLVED DUPLICATE of bug 231313

Status

()

RESOLVED DUPLICATE of bug 231313
11 years ago
11 years ago

People

(Reporter: jplmusicfan, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9b2pre) Gecko/2007111704 Minefield/3.0b2pre
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9b2pre) Gecko/2007111704 Minefield/3.0b2pre

Though Mozilla 3.0 requires Mac OS X 10.3 and later, the tab controls used in the Preferences dialogs Advanced tab are the older Mac OS X 10.2 theme. All tab controls used by the application in Preferences dialogs and picked up by other applications that build on the Mozilla platform should use newer flat style tabs of 10.3 and later. I believe that the tabs need to be updated to me more current Mac OS X theme aware.

Reproducible: Always

Steps to Reproduce:
1. Launch Minefield or Firefox 3.0 beta 1
2. Select Preferences from the application menu
3. Click on the Advanced tab in the Preferences dialog
4. The tab controls in this dialog are the older pre-10.3 style theme tabs


Expected Results:  
Should use the Mac OS X 10.3 and later flat style tabs from NSTheme.

In order to have a more Mac OS X looking and feeling application, the platform should be updated to have the newer theme look. This will help any application that leverages the Mozilla platform building Mac apps as well like eMusic Remote which I love.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 231313
You need to log in before you can comment on or make changes to this bug.